Skip to main content
PUT
Update Webhook

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhook_id
string
required

Webhook ID

Body

application/json
name
string
required
endpoint
string<uri>
required
events
string[]
required
custom_headers
object
required
status
enum<string>
required
Available options:
enabled,
disabled,
error
marketplace_id
string | null

Marketplace this webhook belongs to. null for store-level webhooks.

is_visible
boolean

Whether the webhook is shown in the admin UI.

Response

Webhook updated successfully

success
boolean
required
message
string
required
content
Webhook · object
required